Your submission was sent successfully! Close

CVE-2010-0309

Published: 12 February 2010

The pit_ioport_read function in the Programmable Interval Timer (PIT) emulation in i8254.c in KVM 83 does not properly use the pit_state data structure, which allows guest OS users to cause a denial of service (host OS crash or hang) by attempting to read the /dev/port file.

From the Ubuntu security team

Marcelo Tosatti discovered that the Linux kernel's hardware virtualization did not correctly handle reading the /dev/port special device. A local attacker in a guest operating system could issue a specific read that would cause the host system to crash, leading to a denial of service.

Priority

Medium

Status

Package Release Status
kvm
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored
(reached end-of-life)
intrepid Needed
(reached end-of-life)
jaunty Ignored
(reached end-of-life)
karmic Does not exist

lucid Does not exist

maverick Does not exist

natty Does not exist

upstream Needed

Binaries built from this source package are in Universe and so are supported by the community.
linux
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy
Released (2.6.24-27.68)
intrepid
Released (2.6.27-17.46)
jaunty
Released (2.6.28-18.60)
karmic
Released (2.6.31-20.58)
lucid Not vulnerable

maverick Not vulnerable

natty Not vulnerable

upstream Needed

Patches:
proposed: http://www.mail-archive.com/kvm@vger.kernel.org/msg28002.html
linux-ec2
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

intrepid Does not exist

jaunty Does not exist

karmic
Released (2.6.31-305.13)
lucid Not vulnerable

maverick Ignored
(binary supplied by "linux" now)
natty Does not exist

upstream Needed

linux-fsl-imx51
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

karmic
Released (2.6.31-109.25)
lucid Not vulnerable

maverick Does not exist

natty Does not exist

upstream Needs triage

linux-lts-backport-maverick
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

intrepid Does not exist

jaunty Does not exist

karmic Does not exist

lucid Not vulnerable

maverick Does not exist

natty Does not exist

upstream Needed

linux-mvl-dove
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

karmic
Released (2.6.31-212.26)
lucid Not vulnerable

maverick Not vulnerable

natty Does not exist

upstream Needs triage

linux-source-2.6.15
Launchpad, Ubuntu, Debian
dapper Not vulnerable

hardy Does not exist

intrepid Does not exist

jaunty Does not exist

karmic Does not exist

lucid Does not exist

maverick Does not exist

natty Does not exist

upstream Not vulnerable

linux-ti-omap4
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

karmic Does not exist

lucid Does not exist

maverick Not vulnerable

natty Not vulnerable

upstream Needs triage